Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        X Keyboard Extension (XKB) API
Name:      	libxklavier
Version:        3.5
Release:   	1
License: 	GNU/GPL
URL:	  	ftp://ftp.gnome.org
Group:     	System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	doxygen
BuildRequires: 	libxml2-devel
BuildRequires: 	libxkbfile-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libxml2-devel
BuildRequires: 	glib-devel
Source: 	http://gswitchit.sourceforge.net/%{name}-%{version}.tar.bz2

%description
libxklavier is a library providing high-level API for X Keyboard Extension
known as XKB. This library is indended to support XFree86 and other
commercial X servers.
It is useful for creating XKB-related software (layout indicators etc). 

The current features are: 
- Reading XKB configuration registry information (for XFree86) 
- Configuring XKB 
- Application-defined callbacks for many XKB-related events 
- Support for per-window switching etc. 

%package devel
Summary: 	Libraries, includes, etc to develop libxklavier applications
Group: 		Development/Libraries
Requires: 	%{name} = %{version}
Requires: 	pkg-config

%description devel
Libraries, include files, etc you can use to develop libxklavier applications.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build

%configure --disable-doxygen --with-xkb-base='%{_datadir}/X11/xkb' --with-xkb-bin-base='%{_bindir}'
make 

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB 
%{_libdir}/lib*.so.*
#%{_datadir}/libxklavier

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/gtk-doc/html/libxklavier/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 3.5-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 3.2-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 3.1-1
- Version update
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.1-1
- Initial Release
